#include <Item/StatelessItem/BasicItem/HeatSink/HeatSink.hpp>

HeatSink::HeatSink(std::string name) : BasicItem(name, "Heat Sink", Material::heatSink)
{
    setMaxStackSize(1);
}

void HeatSink::describeInNuclearReactor(ItemStack &stack, std::ostream &os)
{
    os << "Conducts heat effectively." << std::endl;
}

bool HeatSink::updateNuclearReactor(ItemStack &stack, MNuclearReactor &reactor, glm::ivec2 cellPos)
{
    return false;
}

float HeatSink::getHeatConductivity(ItemStack &stack)
{
    return 0.5f;
}